### Function

# Camel file_util_safe_filename

#### Declaration [src]

    gchar*
    camel_file_util_safe_filename (
      const gchar* name
    )

#### Description [src]

‘Flattens’ `name` into a safe filename string by hex encoding any chars that may cause problems on the filesystem.

#### Parameters

`name`

  Type: `const gchar*`

  String to ‘flattened’ into a safe filename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A safe filename string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.